
QGIS Application - Bug report #11936

Layer Properties - Equal Interval and Pretty Breaks not working when column comes from Join 

Layer

2015-01-04 02:42 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20144

Description

If the data is coming from the Join Layer , The Style will be created with 8 , or how many classes i want, but all the values will be included

in the first class

This happens only on Equal Interval and Pretty Breaks. On Quantile, Natural Breaks, Str Dev it function ok.

I included 2 screenshots of the bug

P.S i am never sure about the Category i should put the bug request too. Where can i find a more visual schematics so i can be more

useful in the future.

History

#1 - 2015-01-04 09:22 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Overview to Symbology

Seems to work ok on qgis master, please give it a try and report back. If is not ok on master please attach sample data.

#2 - 2015-01-04 12:42 PM - baditaflorin -

- File Harta_Aracip.rar added

- Assignee set to Giovanni Manghi

- File Super_tabel_toate_datele_pe_judete_pe_care_il_vom_folosi.csv added

I have tried again with cache or without and still does not work

#3 - 2015-01-04 11:30 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

baditaflorin - wrote:

I have tried again with cache or without and still does not work

How do you style with the graduated symbology using a joined csv attribute (they are all text once joined, so they cannot be used)? 
Have you tested qgis master?

#4 - 2015-05-11 02:01 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback.

Files

bug1.png 200 KB 2015-01-04 baditaflorin -

bug2.png 47.3 KB 2015-01-04 baditaflorin -

Super_tabel_toate_datele_pe_judete_pe_care_il_vom_folosi.csv 214 KB 2015-01-04 baditaflorin -

Harta_Aracip.rar 1.02 MB 2015-01-04 baditaflorin -
